/* vi: set et sw=4 ts=8 cino=t0,(0: */
/* -*- Mode: C; indent-tabs-mode: nil; c-basic-offset: 4; tab-width: 8 -*- */
/*
 * This file is part of mission-control
 *
 * Copyright (C) 2007-2009 Nokia Corporation.
 * Copyright (C) 2009 Collabora Ltd.
 *
 * Contact: Naba Kumar  <naba.kumar@nokia.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#ifndef MCD_MASTER_PRIV_H
#define MCD_MASTER_PRIV_H

#include "mcd-master.h"

G_BEGIN_DECLS

G_GNUC_INTERNAL
gboolean _mcd_master_account_replace_transport (McdMaster *master,
                                                McdAccount *account);

void _mcd_master_get_nth_account_connection (McdMaster *master, gint i,
                                             McdAccountConnectionFunc *func,
                                             gpointer *userdata);

McdManager *_mcd_master_lookup_manager (McdMaster *master,
                                        const gchar *unique_name);

G_END_DECLS
#endif
